# APT

**APT (Advanced Package Tool)** refers to the package installer used in **Debian** or **Ubuntu-based** Linux distributions. On **Discloud**, you can add some of these packages to your application's container if needed.

***

## ❓️ How to use it? <a href="#como-utilizar" id="como-utilizar"></a>

Check the required package for your project and add it to the `APT` option in the [`discloud.config`](https://docs.discloud.com/en/configurations/discloud.config) file.

{% hint style="info" %}
If you need to use more than one package, separate them with **commas and spaces**, as shown in the example below.
{% endhint %}

<pre class="language-properties" data-title="discloud.config"><code class="lang-properties"><a data-footnote-ref href="#user-content-fn-1"># ...</a>
APT=tools, ffmpeg
# ...
</code></pre>

<table data-full-width="false"><thead><tr><th width="155">Package name</th><th width="280">Description</th><th>Linux dependencies<select multiple><option value="4OkvaSR8u1Up" label="libcairo2-dev" color="blue"></option><option value="U4CRgfkAxGHa" label="libpango1.0-dev" color="blue"></option><option value="0dKhVHd6m1WJ" label="libjpeg-dev" color="blue"></option><option value="lCvcZF8RhFSC" label="libgif-dev" color="blue"></option><option value="1gwH4nHJu8YV" label="librsvg2-dev" color="blue"></option><option value="EtXnGIuUXEe8" label="libgbm-dev" color="blue"></option><option value="ZnZ9XK15bWwM" label="fonts-liberation" color="blue"></option><option value="9To1DwTw49St" label="libfreetype-dev" color="blue"></option><option value="cHrfwGWhhvHY" label="tesseract-ocr" color="blue"></option><option value="y5hsoxNT27T4" label="libglib2.0-0" color="blue"></option><option value="ncLahc3Got74" label="libnss3" color="blue"></option><option value="IWNNcNOQSCBE" label="libatk1.0-0" color="blue"></option><option value="vblzhPYszt2Z" label="libatk-bridge2.0-0" color="blue"></option><option value="c6A7kRSFeaXL" label="libcups2" color="blue"></option><option value="AbjTd82gVtWF" label="libdrm2" color="blue"></option><option value="6BZmXytmVV4w" label="libxcomposite1" color="blue"></option><option value="2uAZWdSvn46I" label="libxdamage1" color="blue"></option><option value="oTKlPUcmmtNF" label="libxfixes3" color="blue"></option><option value="krzbRgedz2vj" label="libxrandr2" color="blue"></option><option value="sSMSPteFbkGS" label="libxkbcommon0" color="blue"></option><option value="8y3vy4TjBJAh" label="libasound2" color="blue"></option><option value="H3oyiR5LUhOh" label="libgtk-3-0" color="blue"></option><option value="NKAWIqt4EVM8" label="libxshmfence-dev" color="blue"></option><option value="vsz66QbIXJTx" label="libgbm1" color="blue"></option><option value="zGGIrzJGMoy6" label="libpango-1.0-0" color="blue"></option><option value="WF9vdvAPm9FY" label="libcairo2" color="blue"></option><option value="O82tQ5esBgpJ" label="libdrm-dev" color="blue"></option><option value="oJDvBwpQt5d6" label="libx11-xcb-dev" color="blue"></option><option value="6FPeBDxnky4y" label="curl" color="blue"></option><option value="4bs8dVqCIN7B" label="git" color="blue"></option><option value="zC25ThsZ1ruw" label="wget" color="blue"></option><option value="HMNHEZZmwtuO" label="openssh-client" color="blue"></option><option value="DVP13qTL6byW" label="chromium-driver" color="blue"></option><option value="gO7f94v7GNAq" label="default-jre" color="blue"></option><option value="MZzdI7ChXKNu" label="ffmpeg" color="blue"></option><option value="x3mjELfdDexS" label="libsm6" color="blue"></option><option value="Ih2BKjOOsMxV" label="libxext6" color="blue"></option><option value="BL75zr1vStbw" label="libtool" color="blue"></option><option value="KhE1ETuh5vBl" label="cmake" color="blue"></option><option value="K6b2jEaQogHj" label="make" color="blue"></option><option value="Z3rD2rTt3dCn" label="libgl1-mesa-glx" color="blue"></option><option value="Whcs4oK7qGI1" label="pkg-config" color="blue"></option><option value="DrwY1ppGJKFx" label="libssl-dev" color="blue"></option><option value="acYSdqQjkTKZ" label="default-mysql-client" color="blue"></option><option value="lkRt3tAcGJAm" label="unixodbc" color="blue"></option></select></th></tr></thead><tbody><tr><td>tools</td><td>Useful and essential tools for most apps.</td><td><span data-option="6FPeBDxnky4y">curl, </span><span data-option="4bs8dVqCIN7B">git, </span><span data-option="zC25ThsZ1ruw">wget, </span><span data-option="HMNHEZZmwtuO">openssh-client</span></td></tr><tr><td>canvas</td><td>Dependencies required for the proper functioning of <strong>Canvas</strong>.</td><td><span data-option="4OkvaSR8u1Up">libcairo2-dev, </span><span data-option="U4CRgfkAxGHa">libpango1.0-dev, </span><span data-option="0dKhVHd6m1WJ">libjpeg-dev, </span><span data-option="lCvcZF8RhFSC">libgif-dev, </span><span data-option="1gwH4nHJu8YV">librsvg2-dev, </span><span data-option="EtXnGIuUXEe8">libgbm-dev, </span><span data-option="ZnZ9XK15bWwM">fonts-liberation, </span><span data-option="9To1DwTw49St">libfreetype-dev</span></td></tr><tr><td>tesseract</td><td><strong>Tesseract OCR</strong> is an open-source optical character recognition engine used for extracting text from images. It supports multiple languages and can be trained for custom recognition.</td><td><span data-option="cHrfwGWhhvHY">tesseract-ocr</span></td></tr><tr><td>puppeteer</td><td>Dependencies required for the proper functioning of <strong>Puppeteer</strong>.</td><td><span data-option="y5hsoxNT27T4">libglib2.0-0, </span><span data-option="ncLahc3Got74">libnss3, </span><span data-option="IWNNcNOQSCBE">libatk1.0-0, </span><span data-option="vblzhPYszt2Z">libatk-bridge2.0-0, </span><span data-option="c6A7kRSFeaXL">libcups2, </span><span data-option="AbjTd82gVtWF">libdrm2, </span><span data-option="6BZmXytmVV4w">libxcomposite1, </span><span data-option="2uAZWdSvn46I">libxdamage1, </span><span data-option="oTKlPUcmmtNF">libxfixes3, </span><span data-option="krzbRgedz2vj">libxrandr2, </span><span data-option="vsz66QbIXJTx">libgbm1, </span><span data-option="sSMSPteFbkGS">libxkbcommon0, </span><span data-option="zGGIrzJGMoy6">libpango-1.0-0, </span><span data-option="WF9vdvAPm9FY">libcairo2, </span><span data-option="8y3vy4TjBJAh">libasound2, </span><span data-option="H3oyiR5LUhOh">libgtk-3-0, </span><span data-option="NKAWIqt4EVM8">libxshmfence-dev, </span><span data-option="O82tQ5esBgpJ">libdrm-dev, </span><span data-option="EtXnGIuUXEe8">libgbm-dev, </span><span data-option="oJDvBwpQt5d6">libx11-xcb-dev</span></td></tr><tr><td>selenium</td><td>Browser automation framework.</td><td><span data-option="DVP13qTL6byW">chromium-driver</span></td></tr><tr><td>java</td><td>Installs the <strong>OpenJDK Java runtime</strong>.</td><td><span data-option="gO7f94v7GNAq">default-jre</span></td></tr><tr><td>ffmpeg</td><td>A complete solution for recording, converting, and streaming audio and video <mark style="color:green;">(<strong>required for music bots</strong>)</mark>.</td><td><span data-option="MZzdI7ChXKNu">ffmpeg</span></td></tr><tr><td>libgl</td><td>A<strong>libGL</strong> implements the <strong>GLX interface</strong>, as well as the main entry points of the <strong>OpenGL API</strong>.</td><td><span data-option="x3mjELfdDexS">libsm6, </span><span data-option="Ih2BKjOOsMxV">libxext6, </span><span data-option="BL75zr1vStbw">libtool, </span><span data-option="KhE1ETuh5vBl">cmake, </span><span data-option="K6b2jEaQogHj">make, </span><span data-option="Z3rD2rTt3dCn">libgl1-mesa-glx</span></td></tr><tr><td>openssl</td><td>A cryptographic library that implements the <strong>SSL</strong> and <strong>TLS</strong> protocols.</td><td><span data-option="Whcs4oK7qGI1">pkg-config, </span><span data-option="DrwY1ppGJKFx">libssl-dev</span></td></tr><tr><td>mysql</td><td>Database client utilities.</td><td><span data-option="acYSdqQjkTKZ">default-mysql-client</span></td></tr><tr><td>unixodbc</td><td>Database connectivity standard.</td><td><span data-option="lkRt3tAcGJAm">unixodbc</span></td></tr></tbody></table>

[^1]: **Note:** The **`...`** only indicate the continuation of other previous or subsequent options that are not relevant to mention on this page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.discloud.com/en/configurations/discloud.config/apt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
